import _extends from "@babel/runtime/helpers/esm/extends";
import React, { useEffect } from 'react';
import PropTypes from 'prop-types';
import { Meta } from 'react-head';
export var BODY_ATTRIBUTES_KEY = 'bodyattributes';
var isClient = typeof window !== 'undefined';
export default function Body(_ref) {
  var _ref$attributes = _ref.attributes,
      attributes = _ref$attributes === void 0 ? {} : _ref$attributes;
  useEffect(function () {
    var _document = document,
        body = _document.body;

    function toggleBodyAttributes(_temp) {
      var _ref2 = _temp === void 0 ? {} : _temp,
          _ref2$action = _ref2.action,
          action = _ref2$action === void 0 ? 'set' : _ref2$action;

      var method = action + "Attribute";
      Object.entries(attributes).forEach(function (_ref3) {
        var key = _ref3[0],
            value = _ref3[1];
        return body[method](key, value);
      });
    }

    toggleBodyAttributes();
    return function () {
      return toggleBodyAttributes({
        action: 'remove'
      });
    };
  }, [attributes]);
  if (isClient) return null; // on the server, use the Meta tag to extract later

  var metaProps = _extends({}, attributes, {
    name: BODY_ATTRIBUTES_KEY
  });

  return React.createElement(Meta, metaProps);
}